Page MenuHomePhabricator

Unarchive mediawiki/extensions/WikiShare
Closed, ResolvedPublic

Description

mediawiki/extensions/WikiShare has been archived in 2017 via T178771 because it was marked archived on www.mediawiki.org

Eventually @Varnent requested on https://www.mediawiki.org/wiki/Gerrit/New_repositories/Requests/Entries to enable again the repository.

So I guess it is all about marking it active again and catch up with 3 years of development to bring it up :]

To-do list

Event Timeline

hashar created this task.Apr 16 2020, 3:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2020, 3:35 PM
Varnent added a subscriber: Mooeypoo.EditedApr 16 2020, 3:54 PM

Once this is done, I have a patch to submit that has been tested and is working on a third-party production wiki running MW 1.34.1. Thank you!!

We do not have a template of actions to conduct to unarchive an extension, but I guess we can do the reverse of what is listed at https://phabricator.wikimedia.org/maniphest/task/edit/form/33/

Pppery updated the task description. (Show Details)Apr 16 2020, 8:07 PM
Pppery updated the task description. (Show Details)
Pppery updated the task description. (Show Details)
Pppery added a subscriber: Pppery.Apr 16 2020, 8:10 PM

Change 589754 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] Add WikiShare extension back

https://gerrit.wikimedia.org/r/589754

Change 589756 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Enable tests again for WikiShare extension

https://gerrit.wikimedia.org/r/589756

Patches for translatewiki.net and integration/config are ready.

I can't unarchive repos. :(

Change 589890 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikiShare@master] Revert "Archive the WikiShare extension"

https://gerrit.wikimedia.org/r/589890

Change 589890 merged by Umherirrender:
[mediawiki/extensions/WikiShare@master] Revert "Archive the WikiShare extension"

https://gerrit.wikimedia.org/r/589890

I have set the gerrit repo active and revert my archive commit

Access to Varnent on gerrit looks good https://gerrit.wikimedia.org/r/#/admin/groups/60,members

Zoranzoki21 updated the task description. (Show Details)Apr 18 2020, 6:41 PM

Change 589904 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions@master] Unarchive WikiShare

https://gerrit.wikimedia.org/r/589904

Change 589904 merged by Umherirrender:
[mediawiki/extensions@master] Unarchive WikiShare

https://gerrit.wikimedia.org/r/589904

Change 589754 merged by jenkins-bot:
[translatewiki@master] mediawiki-extensions.txt: Add WikiShare extension back

https://gerrit.wikimedia.org/r/589754

Pppery updated the task description. (Show Details)Apr 19 2020, 1:20 PM

Change 589756 merged by jenkins-bot:
[integration/config@master] Enable tests again for WikiShare extension

https://gerrit.wikimedia.org/r/589756

Mentioned in SAL (#wikimedia-releng) [2020-04-20T17:07:21Z] <James_F> Zuul: Unarchive the WikiShare extension T250400

Zoranzoki21 moved this task from Backlog to Other on the Repository-Admins board.Apr 21 2020, 2:00 AM
Zoranzoki21 moved this task from Backlog to make on the Wikimedia-GitHub board.

Mentioned in SAL (#wikimedia-releng) [2020-05-29T18:42:58Z] <hauskatze> gerrit: replication start mediawiki/extensions/WikiShare --wait refs. T250400

MarcoAurelio closed this task as Resolved.Fri, May 29, 6:44 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio updated the task description. (Show Details)